# Rename a connected account

> Change the label of a connected website account.

Source: https://docs.fous.com/api-reference/renameConnection

`PATCH /v1/connections/{connection_id}`

Authentication: `Authorization: Bearer $FOUS_API_KEY`.

## Path parameters

- `connection_id` (string, required)

## Request body

Required. JSON.

- `label` (string, required)

## Response 200

Success

- `success` (true, required)
- `data` (object, required)
  - `connection` (Connection, required)

## Errors

Every error uses the Error schema: branch on `error.code`. Codes are listed at https://docs.fous.com/guides/errors.

- 400
- 401 (headers: WWW-Authenticate)
- 402
- 403
- 404
- 408
- 409
- 410
- 413
- 422
- 429 (headers: Retry-After)
- 500
- 502
- 503 (headers: Retry-After)
- 504

## Example request

```bash
curl 'https://api.fous.com/v1/connections/{connection_id}' \
  -X PATCH \
  -H "Authorization: Bearer $FOUS_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{"label":"My shop"}'
```
